Skip to content

Start adding a passkey

POST
/cms/customer/passkey/register/options
curl --request POST \
--url https://api.example.com/cms/customer/passkey/register/options \
--header 'API-Key: <API-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Token: <Token>'

Returns a challenge for navigator.credentials.create() (startRegistration() of @simplewebauthn/browser). Send the result with the challenge_id to /cms/customer/passkey/register within 5 minutes.

Challenge

Media typeapplication/json
object
challenge_id
string
options

PublicKeyCredentialCreationOptions (JSON, base64url-encoded binary fields)

object

Example generated

{
"challenge_id": "example",
"options": {}
}

Not logged in